unit Unit1;

interface

uses
  Windows,
  Forms, Classes, Controls, StdCtrls, ExtCtrls, Graphics, shellapi;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Label1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);

  private
  public

end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TraceOpenFiche(aForm:TForm; X,Y, Steps, smWidth, smHeight, Delay:Integer; Flag:Boolean);
var
  tp:TPoint;
  aRect:TRect;
  DC:HDC;
  j, xh, yh:Integer;
  vx, vy, vw, vh:Real;

  procedure DrawFrame(x1,y1:Integer);
  var
    i,k:Integer;
    iRect:TRect;
  begin
    For i:=1 To Steps do
      begin
        for k:=0 to Delay*10000 do ;
        iRect.Left:=Trunc(i*vx+x1);
        iRect.Top:=Trunc(i*vy+y1);
        iRect.Right:=Trunc(i*vw+iRect.Left+smWidth);
        iRect.Bottom:=Trunc(i*vh+iRect.Top+smHeight);
        DrawFocusRect(DC, iRect);
      end;
  end;

begin

  if (aForm=nil) then exit;
  If X<0 then
    begin
      GetCursorPos(tp);
      X:=tp.X;Y:=tp.Y;
    end;

  if Steps<=3 then Steps:=40;
  If Delay<=0 then Delay:=1;
  DC:=GetDC(0);
  try
    GetWindowRect(AForm.Handle, aRect);
    for j:=0 to 1 do
      with aRect do
        begin
          xh:=(Left-X) div 2 + X;yh:=Bottom;
          vx:=(xh-X) / Steps; vy:=(yh-Y) / Steps; vw:=0; vh:=0;
          if flag then DrawFrame(X,Y);
          vx:=(Left - XH) / Steps; vy:=(Top-YH) / Steps;
          vw:=(Right-Left-smWidth) / Steps; vh:=(Bottom-Top-smHeight) / Steps;
          DrawFrame(XH,YH);
        end;
  finally
    ReleaseDC(0,DC);
  end;

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  AnimateWindow(Handle, 180, AW_CENTER);
  TraceOpenFiche(self, 10,0,100,1000,1000,100,false);
end;
procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  TraceOpenFiche(self, 1000,1000,1000,100,0,0,false);
  AnimateWindow(Handle, 200, AW_CENTER);
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
 shellexecute(0,'open', 'http://dev-zone.com/faq/delphi/fqdph_index.php', nil, nil, SW_SHOWMAXIMIZED	);
end;

end.
